# Uses of Class
org.eclipse.mat.inspections.osgi.model.Bundle

Packages that use Bundle
Package
Description
org.eclipse.mat.inspections.osgi.model
These are utilities for the OSGi bundle queries.

## Uses of Bundle in org.eclipse.mat.inspections.osgi.model

Subclasses of Bundle in org.eclipse.mat.inspections.osgi.model
Modifier and Type
Class
Description
`class`
`BundleFragment`
Methods in org.eclipse.mat.inspections.osgi.model that return Bundle
Modifier and Type
Method
Description
`Bundle`
EquinoxBundleReader.`getBundle(BundleDescriptor descriptor)`
`Bundle`
EquinoxBundleReader2.`getBundle(BundleDescriptor descriptor)`
`Bundle`
IBundleReader.`getBundle(BundleDescriptor descriptor)`
Load the bundle by its descriptor
`Bundle`
OSGiModel.`getBundle(BundleDescriptor descriptor)`
Get bundle by its descriptor